Subject: Re: [PATCH 3/3] Add -k/--keep-going option to mergetool

From: Charles Bailey <[email-masked]>
Date: Mon, 24 Nov 2008 22:03:11 +0000

On Sat, Nov 15, 2008 at 10:56:03AM -0500, Theodore Tso wrote:
> Instead of making this be a command-line and configuration option,
> maybe it would be better to prompt the user after an aborted merge,
> and give the user the opportunity to continue or abort?  i.e., instead
> of just saying "merge of foo.c failed" and then exiting, to ask the
> user instad something like, "Merge of foo.c failed; continue
> attempting to merge the rest of the files? <y>"
> 
> I suspect this might be more friendly than Yet Another command-line
> option and configuration parameter.  What do you think?
> 
>        	   		 	     	     	 - Ted

This sounds like a really good alternative interface option. The next
time I have a moment (could be a while!) I'll try and make a patch
based on this idea.

Charles.